Bug 8576 - dist target is broken
Summary: dist target is broken
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: POI Overall (show other bugs)
Version: 1.5
Hardware: Other other
: P3 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-04-27 00:23 UTC by Andy Oliver
Modified: 2004-11-16 19:05 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andy Oliver 2002-04-27 00:23:42 UTC
dummy-target:
cents fetch finished
Transforming into /home/poibot/poiscript/jakarta-poi/tools/tmp

-cent-unjar-keep:
/home/poibot/poiscript/jakarta-poi/tools/cents/centipede.cent.jar is uptodate
with respect to centipede.
No need to expand it.

-cent-unjar-keep:
/home/poibot/poiscript/jakarta-poi/tools/cents/checkstyle.cent.jar is uptodate
with respect to checkstyle.
No need to expand it.

-cent-unjar-keep:
/home/poibot/poiscript/jakarta-poi/tools/cents/forrest.cent.jar is uptodate with
respect to forrest.
No need to expand it.

-cent-unjar-keep:
/home/poibot/poiscript/jakarta-poi/tools/cents/javasrc.cent.jar is uptodate with
respect to javasrc.
No need to expand it.

-cent-unjar-keep:
/home/poibot/poiscript/jakarta-poi/tools/cents/jdepend.cent.jar is uptodate with
respect to jdepend.
No need to expand it.

-cent-unjar-keep:
/home/poibot/poiscript/jakarta-poi/tools/cents/junit.cent.jar is uptodate with
respect to junit.
No need to expand it.

-cent-unjar-keep:
/home/poibot/poiscript/jakarta-poi/tools/cents/umldoclet.cent.jar is uptodate
with respect to umldoclet.
No need to expand it.
Deleting: /home/poibot/poiscript/jakarta-poi/tools/tmp/tasks.properties

clean:
Deleting directory /home/poibot/poiscript/jakarta-poi/build

compile:
Compiling project core with Java 1.4, debug on, optimize off, deprecation on

BUILD FAILED
/home/poibot/poiscript/jakarta-poi/tools/cents/centipede.cent/xbuild.xml:28:
destination directory "/home/poibot/poiscript/jakarta-poi/build/classes" does
not exist or is not a directory
Comment 1 Andy Oliver 2002-04-27 00:26:49 UTC
(note calling compile or jar by itself works...trying different combinations and
changing the dependencies of dist didn't work..so dist is basically broken)..  I
removed clean from the dependencies and it worked.  Me thinks the order is
getting mucked with and its doing bad things.
Comment 2 Andy Oliver 2002-04-30 03:58:54 UTC
ken is this fixed?
Comment 3 Nicola Ken Barozzi 2002-04-30 06:14:06 UTC
Yes it is.